rpm 4.10.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Typedefs
rpmio.h File Reference
RPM IO API.
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmsw.h>`
Include dependency graph for rpmio.h:

Go to the source code of this file.

## Typedefs
typedef struct FDIO_s * | FDIO_t
## Functions
RPMIO Interface.
const char * | Fstrerror (FD_t fd)
| strerror(3) clone.
ssize_t | Fread (void *buf, size_t size, size_t nmemb, FD_t fd)
| fread(3) clone.
ssize_t | Fwrite (const void *buf, size_t size, size_t nmemb, FD_t fd)
| fwrite(3) clone.
int | Fseek (FD_t fd, off_t offset, int whence)
| fseek(3) clone.
off_t | Ftell (FD_t fd)
| ftell(3) clone.
int | Fclose (FD_t fd)
| fclose(3) clone.
FD_t | Fdopen (FD_t ofd, const char *fmode)
FD_t | Fopen (const char *path, const char *fmode)
| fopen(3) clone.
int | Fflush (FD_t fd)
| fflush(3) clone.
int | Ferror (FD_t fd)
| ferror(3) clone.
int | Fileno (FD_t fd)
| fileno(3) clone.
int | Fcntl (FD_t fd, int op, void *lip)
| fcntl(2) clone.
const char * | Fdescr (FD_t fd)
| Get informative description (eg file name) from fd for diagnostic output.
## RPMIO Utilities.
enum | fdOpX_e { FDSTAT_READ = 0, FDSTAT_WRITE = 1, FDSTAT_SEEK = 2, FDSTAT_CLOSE = 3, FDSTAT_DIGEST = 4, FDSTAT_MAX = 5 }
| Identify per-desciptor I/O operation statistics. More...
typedef enum fdOpX_e | fdOpX
| Identify per-desciptor I/O operation statistics.
off_t | fdSize (FD_t fd)
FD_t | fdDup (int fdno)
FD_t | fdLink (FD_t fd)
FD_t | fdFree (FD_t fd)
off_t | ufdCopy (FD_t sfd, FD_t tfd)
rpmop | fdOp (FD_t fd, fdOpX opx)

## Detailed Description

Definition in file rpmio.h.